VirtualBox

Ticket #17321 (reopened defect)

Opened 5 years ago

Last modified 4 years ago

Unhandled exception in DirectSound

Reported by: jumperstart Owned by: pentagonik
Component: audio Version: VirtualBox 5.2.0
Keywords: Cc:
Guest type: Windows Host type: Windows

Description

Vbox crashes when resume a vm on my win 10 host. It happens 90% of time to vm which has audio enabled.

There is a problem with my windows 10. The DirectSound device has a problem(0x88890008, I don't think the meaning of the code is ERROR_NOT_ENOUGH_MEMORY). The error causes any application which uses DirectSound no sound on my win host. The other applications(such as media player, audio player) simply have no sound output. It should not cause the crash though.

A suggestion from me is to check this exception and ignore it(or report to user whichever solution applies to your coding standard). No crash is expected. I knows the issue with DirectSound so I do expect some of applications do not output sound. It is good to have an option to select device from DirectSound or WASAPI. Audio output available when switch to WASAPI in some applications. It's very strange.

If you need more info, I'll attach log files.

The partial log from VBox.log:

00:00:08.098377 DSound: Starting playback failed with ERROR_NOT_ENOUGH_MEMORY 0x88890008
00:00:08.099284 
00:00:08.099284 !!Assertion Failed!!
00:00:08.099285 Expression: !VMCPU_FF_IS_SET(pVCpu, VMCPU_FF_INTERRUPT_PIC)
00:00:08.099285 Location  : F:\tinderbox\win-rel\src\VBox\VMM\VMMR3\PDM.cpp(1006) int __cdecl pdmR3LoadExec(struct VM *,struct SSMHANDLE *,unsigned int,unsigned int)

00:00:08.099404 
00:00:08.099404 !!! rtR3WinUnhandledXcptFilter caught an exception on thread 0000000000001eb8!!!
00:00:08.099409 
00:00:08.099409 ExceptionCode=0x80000003 ExceptionFlags=0x00000000 ExceptionAddress=00007ffbafc9c395
00:00:08.099413 ExceptionInformation[0]=0000000000000000
00:00:08.099417 
00:00:08.099417 cs:rip=0033:00007ffbafc9c395
00:00:08.099421 ss:rsp=002b:000000000955d3e0 rbp=000000000955d458
00:00:08.099424 rax=0000000000000001 rcx=8aecc971d1340000 rdx=0000000000000000 rbx=00000000084fc000
00:00:08.099428 rsi=000000000955d5e0 rdi=0000000000000000 rsp=000000000955d3e0 rbp=000000000955d458
00:00:08.099432 r8 =7efefefefefefeff r9 =7efefefefefeff52 r10=0000000000000001 r11=8101010101010100
00:00:08.099436 r12=0000000000000000 r13=00000000084e0000 r14=0000000000000005 r15=00007ffbafe53550
00:00:08.099440 ds=002b es=002b fs=0053 gs=002b eflags=00000206
00:00:08.099443 p1home=0000000000000000 p2home=0000000000000000 pe3home=00000000084fc000
00:00:08.099447 p4home=0000000000000000 p5home=0000000000000000 pe6home=0000000000000000
00:00:08.099450    LastBranchToRip=0000000000000000    LastBranchFromRip=0000000000000000
00:00:08.099453 LastExceptionToRip=0000000000000000 LastExceptionFromRip=0000000000000000
00:00:08.099457 
00:00:08.099458 Stack 000000000955c360, dumping 0x3ca0 bytes (low=0000000009460000, high=0000000009560000)
00:00:08.099462 000000000955c360 0000: 60 c3 55 09 00 00 00 00-73 74 61 63 6b 6d 61 72 `.U.....stackmar
00:00:08.099465 000000000955c370 0010: 6b 65 72 00 fb 7f 00 00-80 00 00 00 00 00 00 01 ker.............
00:00:08.099467 000000000955c380 0020: 00 f0 59 00 00 00 00 00-40 c5 55 09 00 00 00 00 ..Y.....@.U.....
00:00:08.099468 000000000955c390 0030: 70 c6 55 09 00 00 00 00-30 fa 55 09 00 00 00 00 p.U.....0.U.....
00:00:08.099470 000000000955c3a0 0040: 01 00 00 00 00 00 00 00-70 92 12 97 fb 7f 00 00 ........p.......
00:00:08.099472 000000000955c3b0 0050: 00 00 00 00 00 00 00 00-30 fa 55 09 00 00 00 00 ........0.U.....
00:00:08.099473 000000000955c3c0 0060: 00 00 00 00 00 00 00 00-f0 94 12 e3 fb 7f 00 00 ................
00:00:08.099475 000000000955c3d0 0070: 40 c5 55 09 00 00 00 00-95 c3 c9 af fb 7f 00 00 @.U.............
00:00:08.099476 000000000955c3e0 0080: 00 00 56 09 00 00 00 00-00 00 46 09 00 00 00 00 ..V.......F.....
00:00:08.099478 000000000955c3f0 0090: 00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00 ................
00:00:08.099479 000000000955c400 00a0: 04 00 00 00 06 00 00 00-00 00 00 00 01 00 00 00 ................
00:00:08.099481 000000000955c410 00b0: 00 00 00 00 00 00 00 00-00 00 00 00 00 00 00 00 ................
00:00:08.099482 000000000955c420 00c0: 00 00 00 00 00 00 00 00-10 16 95 e6 fb 7f 00 00 ................
00:00:08.099484 000000000955c430 00d0: 40 c5 55 09 00 00 00 00-00 c8 55 09 00 00 00 00 @.U.......U.....
00:00:08.099485 000000000955c440 00e0: 38 de c5 cc fb 7f 00 00-b8 ce 55 09 00 00 00 00 8.........U.....
00:00:08.099487 000000000955c450 00f0: fe ff ff ff ff ff ff ff-04 00 00 00 00 00 00 00 ................
00:00:08.099488 000000000955c460 0100: 04 15 24 c0 ec 8a 00 00-5d 5d 06 e6 fb 7f 00 00 ..$.....]]......
00:00:08.099490 000000000955c470 0110: 48 cc 31 07 00 00 00 00-da 20 cc 60 00 00 00 00 H.1...... .`....
00:00:08.099492 000000000955c480 0120: 00 00 00 00 fb 7f 00 00-80 a7 48 03 00 00 00 00 ..........H.....
00:00:08.099493 000000000955c490 0130: b8 ce 55 09 00 00 00 00-b7 f2 97 e6 fb 7f 00 00 ..U.............

Attachments

Fedora-2018-02-16-10-31-09.log Download (144.1 KB) - added by Yaroslav 4 years ago.
Fedora-2018-02-26-10-59-08-crash.log Download (175.4 KB) - added by Yaroslav 4 years ago.
ubuntu1604-devbox-2018-03-16-13-23-46.log Download (218.4 KB) - added by BigSisl 4 years ago.
VBOX-log ubuntu1604-devbox-2018-03-16-13-23-46
ubuntu1604-devbox-2018-03-16-13-23-47-hardening.log Download (499.9 KB) - added by BigSisl 4 years ago.
VBOXHardening-log ubuntu1604-devbox-2018-03-16-13-23-46
ubuntu1604-devbox-2018-03-16-10-11-16-vbox1.log Download (191.8 KB) - added by BigSisl 4 years ago.

Change History

comment:1 Changed 5 years ago by MihaiH.

You need to attach the full VM log.

comment:2 Changed 5 years ago by pentagonik

  • Owner set to pentagonik
  • Status changed from new to assigned

comment:3 Changed 5 years ago by GnomeUser

<deleted>

Last edited 5 years ago by GnomeUser (previous) (diff)

comment:4 Changed 4 years ago by pentagonik

  • Status changed from assigned to closed
  • Resolution set to worksforme

Please try with latest 5.2 and re-open if necessary.

comment:5 Changed 4 years ago by Yaroslav

  • Status changed from closed to reopened
  • Resolution worksforme deleted

I experience the same exception, but in my case it happens if I unplug the power cable an laptop switches to battery.

Laptop is HP ZBook VirtualBox version is 5.2.6 (on Windows 7 Host)

Last edited 4 years ago by Yaroslav (previous) (diff)

Changed 4 years ago by Yaroslav

comment:6 follow-up: ↓ 7 Changed 4 years ago by pentagonik

Can you please retry with the latest test build, which is located here: Testbuilds Thanks!

comment:7 in reply to: ↑ 6 Changed 4 years ago by Yaroslav

Replying to pentagonik:

Can you please retry with the latest test build, which is located here: Testbuilds Thanks!

Nope, didn't work either; just caught the same crash with 5.2.7 r120865.

Last edited 4 years ago by Yaroslav (previous) (diff)

Changed 4 years ago by Yaroslav

comment:8 Changed 4 years ago by Yaroslav

Not sure the exception is in DirectSound.

The next doesn't tell much:

00:23:09.387083
00:23:09.387085 !!! rtR3WinUnhandledXcptFilter caught an exception on thread 00000000000009f8!!!
00:23:09.387120
00:23:09.387121 ExceptionCode=0xc0000005 ExceptionFlags=0x00000000 ExceptionAddress=0000000100000000
00:23:09.387136 ExceptionInformation[0]=0000000000000008
00:23:09.387145 ExceptionInformation[1]=0000000100000000

comment:9 Changed 4 years ago by Yaroslav

Any updates on this issue? I've changed Audio Controller from ICH AC97 to Intel HD Audio and the crash happens every other time as opposed to almost every time with AC97 when switching to battery.

It's very annoying to have the VM crash several times in a day. I appreciate your help!

Thank you.

comment:10 Changed 4 years ago by BigSisl

Getting Same issue as Yaroslav, had at first the problem with the Audio Controller aswell. But by turning or changing audio, there is no change. VagrantBox still crashes.

03:09:00.650396 
03:09:00.650399 !!! rtR3WinUnhandledXcptFilter caught an exception on thread 0000000000000dcc!!!
03:09:00.650423 
03:09:00.650424 ExceptionCode=0xc0000005 ExceptionFlags=0x00000000 ExceptionAddress=0000000069792359

Crashes are aswell irregular, sometimes on start, sometimes while running one to two hours.

Changed 4 years ago by BigSisl

VBOX-log ubuntu1604-devbox-2018-03-16-13-23-46

Changed 4 years ago by BigSisl

VBOXHardening-log ubuntu1604-devbox-2018-03-16-13-23-46

Changed 4 years ago by BigSisl

comment:11 Changed 4 years ago by pentagonik

@BigSisl Can you provide a core dump of the VM process when the crash happened? I still don't see any relation to audio here ... what happens if you disable audio (e.g. no audio hardware in VM config), still experiencing the crash then?

comment:12 Changed 4 years ago by BigSisl

@pentagonik have turned off the sound completly, but still crashes. Will try to get access to those logs aswell. Will try to recreate that. But probably you are right. should I create a new Issue?

comment:13 Changed 4 years ago by Yaroslav

Turning audio off did the trick. The VM doesn't crash, so at least for me this is audio related...

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use